## pyephem 3.7.6.0

=== ephem/doc/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d _build/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html web pickle htmlhelp latex changes linkcheck

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html      to make standalone HTML files"
	@echo "  pickle    to make pickle files (usable by e.g. sphinx-web)"
	@echo "  htmlhelp  to make HTML files and a HTML help project"
	@echo "  latex     to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  changes   to make an overview over all changed/added/deprecated items"
	@echo "  linkcheck to check all external links for integrity"

clean:
	-rm -rf _build/*

html:
	mkdir -p _build/html _build/doctrees
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) _build/html
	@echo
	@echo "Build finished. The HTML pages are in _build/html."

pickle:
	mkdir -p _build/pickle _build/doctrees
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) _build/pickle
	@echo
	@echo "Build finished; now you can process the pickle files or run"
	@echo "  sphinx-web _build/pickle"
	@echo "to start the sphinx-web server."

web: pickle

htmlhelp:
	mkdir -p _build/htmlhelp _build/doctrees
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) _build/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in _build/htmlhelp."

latex:
	mkdir -p _build/latex _build/doctrees
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) _build/latex
	@echo
	@echo "Build finished; the LaTeX files are in _build/latex."
	@echo "Run \`make all-pdf' or \`make all-ps' in that directory to" \
	      "run these through (pdf)latex."

changes:
	mkdir -p _build/changes _build/doctrees
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) _build/changes
	@echo
	@echo "The overview file is in _build/changes."

linkcheck:
	mkdir -p _build/linkcheck _build/doctrees
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) _build/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in _build/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

sync:
	chmod -R a+rX _build/html
	rsync -crlv _build/html/ ~/Dropbox/rhodesmill.org/pyephem

## pyephem 3.7.3.3-1

=== debian/changelog ===
pyephem (3.7.3.3-1) stable; urgency=low

  New build process for Extras repository.

 -- Darren Enns <dmenns1@gmail.com>  Thu, 26 Feb 2009 12:25:40 +0000

=== debian/control ===
Source: pyephem
Section: user/other
Priority: extra
Maintainer: Darren Enns <dmenns1@gmail.com>
Build-Depends: debhelper (>= 5)
Standards-Version: 3.7.2

Package: pyephem
Architecture: armel
Depends: python2.5
Description: Port of PyEphem by Brandon Rhodes to Maemo

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp

build: build-stamp

build-stamp: configure-stamp
	dh_testdir
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# ======================================================
	#$(MAKE) DESTDIR="$(CURDIR)/debian/pyephem" install
	mkdir -p "$(CURDIR)/debian/pyephem"

#	mkdir -p "$(CURDIR)/debian/pyephem/usr/lib/python2.5/site-packages/ephem/tests/usno/"
	cp -a "pyephemsrc/usr/lib/python2.5/site-packages/ephem/tests/usno/appgeo_deneb.txt" "$(CURDIR)/debian/pyephem/usr/lib/python2.5/site-packages/ephem/tests/usno/appgeo_deneb.txt"
	mkdir -p "$(CURDIR)/debian/pyephem/usr/lib/python2.5/site-packages/ephem/tests/usno/"
	cp -a "pyephemsrc/usr/lib/python2.5/site-packages/ephem/tests/usno/appgeo_jupiter.txt" "$(CURDIR)/debian/pyephem/usr/lib/python2.5/site-packages/ephem/tests/usno/appgeo_jupiter.txt"
	mkdir -p "$(CURDIR)/debian/pyephem/usr/lib/python2.5/site-packages/ephem/tests/usno/"
	cp -a "pyephemsrc/usr/lib/python2.5/site-packages/ephem/tests/usno/appgeo_moon.txt" "$(CURDIR)/debian/pyephem/usr/lib/python2.5/site-packages/ephem/tests/usno/appgeo_moon.txt"
	mkdir -p "$(CURDIR)/debian/pyephem/usr/lib/python2.5/site-packages/ephem/tests/usno/"
	cp -a "pyephemsrc/usr/lib/python2.5/site-packages/ephem/tests/usno/appgeo_sun.txt" "$(CURDIR)/debian/pyephem/usr/lib/python2.5/site-packages/ephem/tests/usno/appgeo_sun.txt"
	mkdir -p "$(CURDIR)/debian/pyephem/usr/lib/python2.5/site-packages/ephem/tests/usno/"
	cp -a "pyephemsrc/usr/lib/python2.5/site-packages/ephem/tests/usno/apptopo_deneb.txt" "$(CURDIR)/debian/pyephem/usr/lib/python2.5/site-packages/ephem/tests/usno/apptopo_deneb.txt"
	mkdir -p "$(CURDIR)/debian/pyephem/usr/lib/python2.5/site-packages/ephem/tests/usno/"
	cp -a "pyephemsrc/usr/lib/python2.5/site-packages/ephem/tests/usno/apptopo_moon.txt" "$(CURDIR)/debian/pyephem/usr/lib/python2.5/site-packages/ephem/tests/usno/apptopo_moon.txt"
	mkdir -p "$(CURDIR)/debian/pyephem/usr/lib/python2.5/site-packages/ephem/tests/usno/"
	cp -a "pyephemsrc/usr/lib/python2.5/site-packages/ephem/tests/usno/apptopo_sun.txt" "$(CURDIR)/debian/pyephem/usr/lib/python2.5/site-packages/ephem/tests/usno/apptopo_sun.txt"
	mkdir -p "$(CURDIR)/debian/pyephem/usr/lib/python2.5/site-packages/ephem/tests/usno/"
	cp -a "pyephemsrc/usr/lib/python2.5/site-packages/ephem/tests/usno/astrom_antares.txt" "$(CURDIR)/debian/pyephem/usr/lib/python2.5/site-packages/ephem/tests/usno/astrom_antares.txt"
	mkdir -p "$(CURDIR)/debian/pyephem/usr/lib/python2.5/site-packages/ephem/tests/usno/"
	cp -a "pyephemsrc/usr/lib/python2.5/site-packages/ephem/tests/usno/astrom_mercury.txt" "$(CURDIR)/debian/pyephem/usr/lib/python2.5/site-packages/ephem/tests/usno/astrom_mercury.txt"
	mkdir -p "$(CURDIR)/debian/pyephem/usr/lib/python2.5/site-packages/ephem/tests/usno/"
	cp -a "pyephemsrc/usr/lib/python2.5/site-packages/ephem/tests/usno/astrom_neptune.txt" "$(CURDIR)/debian/pyephem/usr/lib/python2.5/site-packages/ephem/tests/usno/astrom_neptune.txt"
	mkdir -p "$(CURDIR)/debian/pyephem/usr/lib/python2.5/site-packages/ephem/tests/usno/"
	cp -a "pyephemsrc/usr/lib/python2.5/site-packages/ephem/tests/usno/moon_phases.txt" "$(CURDIR)/debian/pyephem/usr/lib/python2.5/site-packages/ephem/tests/usno/moon_phases.txt"
	mkdir -p "$(CURDIR)/debian/pyephem/usr/lib/python2.5/site-packages/ephem/tests/usno/"
	cp -a "pyephemsrc/usr/lib/python2.5/site-packages/ephem/tests/usno/riset_moon.txt" "$(CURDIR)/debian/pyephem/usr/lib/python2.5/site-packages/ephem/tests/usno/riset_moon.txt"
	mkdir -p "$(CURDIR)/debian/pyephem/usr/lib/python2.5/site-packages/ephem/tests/usno/"
	cp -a "pyephemsrc/usr/lib/python2.5/site-packages/ephem/tests/usno/riset_sun.txt" "$(CURDIR)/debian/pyephem/usr/lib/python2.5/site-packages/ephem/tests/usno/riset_sun.txt"
	mkdir -p "$(CURDIR)/debian/pyephem/usr/lib/python2.5/site-packages/ephem/tests/usno/"
	cp -a "pyephemsrc/usr/lib/python2.5/site-packages/ephem/tests/usno/risettran_moon.txt" "$(CURDIR)/debian/pyephem/usr/lib/python2.5/site-packages/ephem/tests/usno/risettran_moon.txt"
	mkdir -p "$(CURDIR)/debian/pyephem/usr/lib/python2.5/site-packages/ephem/tests/usno/"
	cp -a "pyephemsrc/usr/lib/python2.5/site-packages/ephem/tests/usno/risettran_rigel.txt" "$(CURDIR)/debian/pyephem/usr/lib/python2.5/site-packages/ephem/tests/usno/risettran_rigel.txt"
	mkdir -p "$(CURDIR)/debian/pyephem/usr/lib/python2.5/site-packages/ephem/"
	cp -a "pyephemsrc/usr/lib/python2.5/site-packages/ephem/__init__.py" "$(CURDIR)/debian/pyephem/usr/lib/python2.5/site-packages/ephem/__init__.py"
	mkdir -p "$(CURDIR)/debian/pyephem/usr/lib/python2.5/site-packages/ephem/"
	cp -a "pyephemsrc/usr/lib/python2.5/site-packages/ephem/__init__.pyc" "$(CURDIR)/debian/pyephem/usr/lib/python2.5/site-packages/ephem/__init__.pyc"
	mkdir -p "$(CURDIR)/debian/pyephem/usr/lib/python2.5/site-packages/ephem/"
	cp -a "pyephemsrc/usr/lib/python2.5/site-packages/ephem/__init__.pyo" "$(CURDIR)/debian/pyephem/usr/lib/python2.5/site-packages/ephem/__init__.pyo"
	mkdir -p "$(CURDIR)/debian/pyephem/usr/lib/python2.5/site-packages/ephem/"
	cp -a "pyephemsrc/usr/lib/python2.5/site-packages/ephem/_libastro.so" "$(CURDIR)/debian/pyephem/usr/lib/python2.5/site-packages/ephem/_libastro.so"
	mkdir -p "$(CURDIR)/debian/pyephem/usr/lib/python2.5/site-packages/ephem/"
	cp -a "pyephemsrc/usr/lib/python2.5/site-packages/ephem/cities.py" "$(CURDIR)/debian/pyephem/usr/lib/python2.5/site-packages/ephem/cities.py"
	mkdir -p "$(CURDIR)/debian/pyephem/usr/lib/python2.5/site-packages/ephem/"
	cp -a "pyephemsrc/usr/lib/python2.5/site-packages/ephem/cities.pyc" "$(CURDIR)/debian/pyephem/usr/lib/python2.5/site-packages/ephem/cities.pyc"
	mkdir -p "$(CURDIR)/debian/pyephem/usr/lib/python2.5/site-packages/ephem/"
	cp -a "pyephemsrc/usr/lib/python2.5/site-packages/ephem/stars.py" "$(CURDIR)/debian/pyephem/usr/lib/python2.5/site-packages/ephem/stars.py"
	mkdir -p "$(CURDIR)/debian/pyephem/usr/lib/python2.5/site-packages/ephem/"
	cp -a "pyephemsrc/usr/lib/python2.5/site-packages/ephem/stars.pyc" "$(CURDIR)/debian/pyephem/usr/lib/python2.5/site-packages/ephem/stars.pyc"
	mkdir -p "$(CURDIR)/debian/pyephem/usr/lib/python2.5/site-packages/ephem/doc/"
	cp -a "pyephemsrc/usr/lib/python2.5/site-packages/ephem/doc/CHANGELOG.rst" "$(CURDIR)/debian/pyephem/usr/lib/python2.5/site-packages/ephem/doc/CHANGELOG.rst"
	mkdir -p "$(CURDIR)/debian/pyephem/usr/lib/python2.5/site-packages/ephem/doc/"
	cp -a "pyephemsrc/usr/lib/python2.5/site-packages/ephem/doc/angle.rst" "$(CURDIR)/debian/pyephem/usr/lib/python2.5/site-packages/ephem/doc/angle.rst"
	mkdir -p "$(CURDIR)/debian/pyephem/usr/lib/python2.5/site-packages/ephem/doc/"
	cp -a "pyephemsrc/usr/lib/python2.5/site-packages/ephem/doc/catalogs.rst" "$(CURDIR)/debian/pyephem/usr/lib/python2.5/site-packages/ephem/doc/catalogs.rst"
	mkdir -p "$(CURDIR)/debian/pyephem/usr/lib/python2.5/site-packages/ephem/doc/"
	cp -a "pyephemsrc/usr/lib/python2.5/site-packages/ephem/doc/coordinates.rst" "$(CURDIR)/debian/pyephem/usr/lib/python2.5/site-packages/ephem/doc/coordinates.rst"
	mkdir -p "$(CURDIR)/debian/pyephem/usr/lib/python2.5/site-packages/ephem/doc/"
	cp -a "pyephemsrc/usr/lib/python2.5/site-packages/ephem/doc/date.rst" "$(CURDIR)/debian/pyephem/usr/lib/python2.5/site-packages/ephem/doc/date.rst"

## pyephem 3.7.6.0

=== debian/changelog ===
pyephem (3.7.6.0-6) unstable; urgency=low

  * Fix again on s390x (grmpf), and on ppc64

 -- Ole Streicher <olebole@debian.org>  Mon, 08 Feb 2016 21:12:52 +0100

pyephem (3.7.6.0-5) unstable; urgency=low

  * Fix another FTBS on s390x

 -- Ole Streicher <olebole@debian.org>  Mon, 08 Feb 2016 12:16:06 +0100

pyephem (3.7.6.0-4) unstable; urgency=low

  * Fix FTBS on powerpc and mips

 -- Ole Streicher <olebole@debian.org>  Mon, 08 Feb 2016 11:12:27 +0100

pyephem (3.7.6.0-3) unstable; urgency=low

  * Allow stderr in CI tests

 -- Ole Streicher <olebole@debian.org>  Sun, 07 Feb 2016 09:41:59 +0100

pyephem (3.7.6.0-2) unstable; urgency=low

  * Rewrite test_github_25 to fix some FTBFS
  * Add CI tests

 -- Ole Streicher <olebole@debian.org>  Sat, 06 Feb 2016 10:15:06 +0100

pyephem (3.7.6.0-1) unstable; urgency=low

  * Initial release. (Closes: #807778)

 -- Ole Streicher <olebole@debian.org>  Wed, 16 Dec 2015 10:29:50 +0100

=== debian/control ===
Source: pyephem
Section: python
Priority: optional
Maintainer: Debian Astronomy Team <debian-astro-maintainers@lists.alioth.debian.org>
Uploaders: Ole Streicher <olebole@debian.org>
Build-Depends: debhelper (>= 9),
               dh-python,
               python-all-dev,
               python-setuptools,
               python3-all-dev,
               python3-setuptools
Standards-Version: 3.9.6
Homepage: http://rhodesmill.org/pyephem/
Vcs-Git: git://anonscm.debian.org/debian-astro/packages/pyephem.git
Vcs-Browser: http://anonscm.debian.org/cgit/debian-astro/packages/pyephem.git
X-Python-Version: >= 2.7
X-Python3-Version: >= 3.3

Package: python-ephem
Architecture: any
Depends: ${misc:Depends}, ${python:Depends}, ${shlibs:Depends}
Description: Compute positions of the planets and stars with Python 2
 PyEphem provides an ephem Python package for performing high-precision
 astronomy computations. The underlying numeric routines are coded in C and
 are the same ones that drive the popular XEphem astronomy application, whose
 author, Elwood Charles Downey, generously gave permission for their use in
 PyEphem.
 .
 The name ephem is short for the word ephemeris, which is the
 traditional term for a table giving the position of a planet, asteroid, or
 comet for a series of dates.
 .
 This package contains the Python 2 version of the package.

Package: python3-ephem
Architecture: any
Depends: ${misc:Depends}, ${python3:Depends}, ${shlibs:Depends}
Description: Compute positions of the planets and stars with Python 3
 PyEphem provides an ephem Python package for performing high-precision
 astronomy computations. The underlying numeric routines are coded in C and
 are the same ones that drive the popular XEphem astronomy application, whose
 author, Elwood Charles Downey, generously gave permission for their use in
 PyEphem.
 .
 The name ephem is short for the word ephemeris, which is the
 traditional term for a table giving the position of a planet, asteroid, or
 comet for a series of dates.
 .
 This package contains the Python 3 version of the package.

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1

PYTHON2:=$(shell pyversions -vr)
PYTHON3:=$(shell py3versions -vr)
export PYBUILD_NAME=ephem
export http_proxy=127.0.0.1:9

%:
	dh $@ --with python2,python3 --buildsystem=pybuild


override_dh_installchangelogs:
	dh_installchangelogs ephem/doc/CHANGELOG.rst

=== debian/tests/control ===
Test-Command: cd $ADTTMP && python -m unittest discover ephem -v
Depends: python-ephem
Restrictions: allow-stderr

## pyephem 3.7.7.0

=== debian/changelog ===
pyephem (3.7.7.0-2) unstable; urgency=low

  * Switch CI test to Python 3. (Closes: #937430)

 -- Ole Streicher <olebole@debian.org>  Fri, 30 Aug 2019 10:41:24 +0200

pyephem (3.7.7.0-1) unstable; urgency=low

  * Update VCS fields to use salsa.d.o
  * New upstream version 3.7.7.0. Rediff patches
  * Push Standards-Verion to 4.4.0. Change remaining URLs to https
  * Push compat to 12. Remove d/compat
  * Drop Python 2 version of the package
  * Add tests on salsa

 -- Ole Streicher <olebole@debian.org>  Tue, 20 Aug 2019 20:52:24 +0200

pyephem (3.7.6.0-7) unstable; urgency=low

  * Update standards-version (no changes), VCS fields; add ASCL Id
  * Make build reproducible
  * Convert patches to gbp
  * Push Standards-Version to 4.0.0. No changes needed.

 -- Ole Streicher <olebole@debian.org>  Mon, 10 Jul 2017 14:49:53 +0200

=== debian/control ===
Source: pyephem
Section: python
Priority: optional
Maintainer: Debian Astronomy Team <debian-astro-maintainers@lists.alioth.debian.org>
Uploaders: Ole Streicher <olebole@debian.org>
Build-Depends: debhelper-compat (= 12),
               dh-python,
               python3-all-dev,
               python3-setuptools
Standards-Version: 4.4.0
Homepage: https://rhodesmill.org/pyephem/
Vcs-Git: https://salsa.debian.org/debian-astro-team/pyephem.git
Vcs-Browser: https://salsa.debian.org/debian-astro-team/pyephem

Package: python3-ephem
Architecture: any
Depends: ${misc:Depends}, ${python3:Depends}, ${shlibs:Depends}
Description: Compute positions of the planets and stars with Python
 PyEphem provides an ephem Python package for performing high-precision
 astronomy computations. The underlying numeric routines are coded in C and
 are the same ones that drive the popular XEphem astronomy application, whose
 author, Elwood Charles Downey, generously gave permission for their use in
 PyEphem.
 .
 The name ephem is short for the word ephemeris, which is the
 traditional term for a table giving the position of a planet, asteroid, or
 comet for a series of dates.

## pyephem 3.7.7.1

=== debian/changelog ===
pyephem (3.7.7.1-1) unstable; urgency=low

  * New upstream version 3.7.7.1. Rediff patches
  * Push Standards-Version to 4.5.0. No changes required

 -- Ole Streicher <olebole@debian.org>  Wed, 26 Feb 2020 08:43:50 +0100

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
                dh-python,
                python3-all-dev,
                python3-setuptools
-Standards-Version: 4.4.0
+Standards-Version: 4.5.0
 Homepage: https://rhodesmill.org/pyephem/
 Vcs-Git: https://salsa.debian.org/debian-astro-team/pyephem.git
 Vcs-Browser: https://salsa.debian.org/debian-astro-team/pyephem

=== debian/tests/control ===
Test-Command: cd $ADTTMP && python3 -m unittest discover ephem -v
Depends: python3-ephem
Restrictions: allow-stderr

## pyephem 4.1.3

=== debian/changelog ===
pyephem (4.1.3-1build1) jammy; urgency=medium

  * No-change rebuild with Python 3.10 only

 -- Graham Inggs <ginggs@ubuntu.com>  Thu, 17 Mar 2022 19:38:35 +0000

pyephem (4.1.3-1) unstable; urgency=medium

  * New upstream version 4.1.3
  * Rediff patches

 -- Ole Streicher <olebole@debian.org>  Fri, 17 Dec 2021 07:58:00 +0100

pyephem (4.1.1-1) unstable; urgency=medium

  * New upstream version 4.1.1
  * Drop Disable-DeprecationWarning-add-support-Python-3.10.patch: applied upstream

 -- Ole Streicher <olebole@debian.org>  Thu, 02 Dec 2021 08:35:16 +0100

pyephem (4.1-2) unstable; urgency=medium

  * Disable DeprecationWarning,  add support Python 3.10
    (Closes: #983149, #999368)

 -- Ole Streicher <olebole@debian.org>  Wed, 10 Nov 2021 21:18:05 +0100

pyephem (4.1-1) unstable; urgency=medium

  * New upstream version 4.1
  * Rediff patches

 -- Ole Streicher <olebole@debian.org>  Thu, 07 Oct 2021 09:30:43 +0200

pyephem (4.0.0.2-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Submit, Repository, Repository-Browse.
  * Remove obsolete field Name from debian/upstream/metadata (already present
    in machine-readable debian/copyright).
  * Replace use of deprecated $ADTTMP with $AUTOPKGTEST_TMP.

  [ Ole Streicher ]
  * Add warning that package is in maintainance modus (Closes: #983152)
  * Fix author name in d/copyright (Closes: #983151)
  * New upstream version 4.0.0.2
  * Rediff patches
  * Push Standards-Version to 4.6.0. No changes needed
  * Add "Rules-Requires-Root: no" to d/control
  * Push dh-config to 13

 -- Ole Streicher <olebole@debian.org>  Wed, 25 Aug 2021 08:02:23 +0200

=== debian/control ===
--- 
+++ 
@@ -3,14 +3,15 @@
 Priority: optional
 Maintainer: Debian Astronomy Team <debian-astro-maintainers@lists.alioth.debian.org>
 Uploaders: Ole Streicher <olebole@debian.org>
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-python,
                python3-all-dev,
                python3-setuptools
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Homepage: https://rhodesmill.org/pyephem/
 Vcs-Git: https://salsa.debian.org/debian-astro-team/pyephem.git
 Vcs-Browser: https://salsa.debian.org/debian-astro-team/pyephem
+Rules-Requires-Root: no
 
 Package: python3-ephem
 Architecture: any
@@ -25,3 +26,6 @@
  The name ephem is short for the word ephemeris, which is the
  traditional term for a table giving the position of a planet, asteroid, or
  comet for a series of dates.
+ .
+ Nothe that this package will continue to be maintained, but it no
+ longer stands at the cutting edge of astronomy in Python.

## pyephem 4.1.4

=== ephem/doc/Makefile ===
--- 
+++ 
@@ -12,7 +12,9 @@
 PAPEROPT_letter = -D latex_paper_size=letter
 ALLSPHINXOPTS   = -d _build/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
 
-.PHONY: help clean html web pickle htmlhelp latex changes linkcheck
+.PHONY: help clean html web pickle htmlhelp latex changes linkcheck default
+
+default: html
 
 help:
 	@echo "Please use \`make <target>' where <target> is one of"
@@ -29,6 +31,13 @@
 html:
 	mkdir -p _build/html _build/doctrees
 	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) _build/html
+	rm -f \
+		_build/html/.buildinfo \
+		_build/html/_static/jquery-3.2.1.js \
+		_build/html/_static/underscore-1.3.1.js \
+		_build/html/_static/websupport.js \
+		_build/html/objects.inv \
+		_build/html/searchindex.js
 	@echo
 	@echo "Build finished. The HTML pages are in _build/html."
 
@@ -75,6 +84,5 @@
 	@echo "Testing of doctests in the sources finished, look at the " \
 	      "results in $(BUILDDIR)/doctest/output.txt."
 
-sync:
-	chmod -R a+rX _build/html
-	rsync -crlv _build/html/ ~/Dropbox/rhodesmill.org/pyephem
+sync: html
+	cp -r _build/html/. ~/rhodesmill.org/pyephem

=== debian/changelog ===
pyephem (4.1.4-2) unstable; urgency=medium

  * Add tzdata build dependency (Closes: #1029428)

 -- Ole Streicher <olebole@debian.org>  Mon, 23 Jan 2023 08:20:29 +0100

pyephem (4.1.4-1) unstable; urgency=medium

  * New upstream version 4.1.4
  * Rediff patches
  * Push Standards-Version to 4.6.2. No changes

 -- Ole Streicher <olebole@debian.org>  Sun, 25 Dec 2022 12:36:58 +0100

=== debian/control ===
--- 
+++ 
@@ -1,21 +1,24 @@
 Source: pyephem
+Maintainer: Debian Astronomy Team <debian-astro-maintainers@lists.alioth.debian.org>
+Uploaders: Ole Streicher <olebole@debian.org>
 Section: python
 Priority: optional
-Maintainer: Debian Astronomy Team <debian-astro-maintainers@lists.alioth.debian.org>
-Uploaders: Ole Streicher <olebole@debian.org>
 Build-Depends: debhelper-compat (= 13),
                dh-python,
                python3-all-dev,
-               python3-setuptools
-Standards-Version: 4.6.0
+               python3-setuptools,
+               tzdata
+Standards-Version: 4.6.2
+Vcs-Browser: https://salsa.debian.org/debian-astro-team/pyephem
+Vcs-Git: https://salsa.debian.org/debian-astro-team/pyephem.git
 Homepage: https://rhodesmill.org/pyephem/
-Vcs-Git: https://salsa.debian.org/debian-astro-team/pyephem.git
-Vcs-Browser: https://salsa.debian.org/debian-astro-team/pyephem
 Rules-Requires-Root: no
 
 Package: python3-ephem
 Architecture: any
-Depends: ${misc:Depends}, ${python3:Depends}, ${shlibs:Depends}
+Depends: ${misc:Depends},
+         ${python3:Depends},
+         ${shlibs:Depends}
 Description: Compute positions of the planets and stars with Python
  PyEphem provides an ephem Python package for performing high-precision
  astronomy computations. The underlying numeric routines are coded in C and

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1

export PYBUILD_NAME=ephem

%:
	dh $@ --with python3 --buildsystem=pybuild


override_dh_installchangelogs:
	dh_installchangelogs ephem/doc/CHANGELOG.rst

=== debian/tests/control ===
Test-Command: cd $AUTOPKGTEST_TMP && python3 -m unittest discover ephem -v
Depends: python3-ephem
Restrictions: allow-stderr

## pyephem 4.1.5

=== debian/changelog ===
pyephem (4.1.5-1build2) noble; urgency=medium

  * No-change rebuild with Python 3.12 only

 -- Graham Inggs <ginggs@ubuntu.com>  Thu, 11 Apr 2024 11:16:55 +0000

pyephem (4.1.5-1build1) noble; urgency=medium

  * No-change rebuild with Python 3.12 as supported version

 -- Graham Inggs <ginggs@ubuntu.com>  Tue, 31 Oct 2023 17:15:53 +0000

pyephem (4.1.5-1) unstable; urgency=medium

  * New upstream version 4.1.5
  * Rediff patches

 -- Ole Streicher <olebole@debian.org>  Sun, 15 Oct 2023 10:26:46 +0200

pyephem (4.1.4-3) unstable; urgency=medium

  * Also build-depend on tzdata-legacy (Closes: #1052784)

 -- Ole Streicher <olebole@debian.org>  Mon, 09 Oct 2023 18:10:44 +0200

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,8 @@
                dh-python,
                python3-all-dev,
                python3-setuptools,
-               tzdata
+               tzdata,
+               tzdata-legacy
 Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/debian-astro-team/pyephem
 Vcs-Git: https://salsa.debian.org/debian-astro-team/pyephem.git

## pyephem 4.1.6

=== debian/changelog ===
pyephem (4.1.6-1) unstable; urgency=medium

  * New upstream version 4.1.6
  * Rediff patches
  * Push Standards-Version to 4.7.0. No changes needed.

 -- Ole Streicher <olebole@debian.org>  Thu, 24 Oct 2024 16:12:18 +0200

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
                python3-setuptools,
                tzdata,
                tzdata-legacy
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/debian-astro-team/pyephem
 Vcs-Git: https://salsa.debian.org/debian-astro-team/pyephem.git
 Homepage: https://rhodesmill.org/pyephem/

=== debian/tests/control ===
Test-Command: cd $AUTOPKGTEST_TMP && python3 -m unittest discover ephem -v
Depends: @, tzdata, tzdata-legacy
Restrictions: allow-stderr

## pyephem 4.2

=== debian/changelog ===
pyephem (4.2-1build1) resolute; urgency=medium

  * No-change rebuild with Python 3.14 as supported version

 -- Graham Inggs <ginggs@ubuntu.com>  Sat, 18 Oct 2025 13:37:20 +0000

pyephem (4.2-1) unstable; urgency=medium

  * New upstream version 4.2
  * Rediff patches

 -- Ole Streicher <olebole@debian.org>  Tue, 04 Mar 2025 20:58:34 +0100

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/ephem/ephem-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))
